Update collection

Update the metadata of an existing collection by its ID.

You can update the collection name or other editable fields.

Use cases:

  • Renaming collections
  • Managing collections in admin dashboards
  • Bulk updating collection metadata
PATCH
/api/v1/collections/{collectionId}
AuthorizationBearer <token>

The API will use the Authorization: Bearer <your-key> header for requests.

In: header

Path Parameters

collectionId*string

Request Body

application/json

name*string
[key: string]?never

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.excalidraw.com/api/v1/collections/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "string",
  "isDefault": true,
  "workspace": "string",
  "creator": "string",
  "updater": "string",
  "teams": [
    "string"
  ],
  "created": "2019-08-24T14:15:22Z",
  "sortOrder": "string",
  "name": "string",
  "updated": "2019-08-24T14:15:22Z",
  "isDeleted": true,
  "emoji": {
    "id": "string",
    "native": "string",
    "unified": "string"
  },
  "deletedAt": 0
}
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "string"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "string"
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "string"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "string"
}